package com.cpms.project.process.domain;

import java.util.Date;

import com.cpms.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.cpms.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Class D overview list对象 t_classd_overview
 * 
 * @author admin
 * @date 2024-04-16
 */
public class TClassdOverview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** Discussion item */
    @Excel(name = "Discussion item")
    private String discussionItem;

    /** Hazard */
    @Excel(name = "Hazard")
    private String hazard;

    /** Cause */
    @Excel(name = "Cause")
    private String cause;

    /** Consequence */
    @Excel(name = "Consequence")
    private String consequence;

    /** P */
    @Excel(name = "P")
    private String p;

    /** Justification P */
    @Excel(name = "Justification P")
    private String justificationP;

    /** S */
    @Excel(name = "S")
    private String s;

    /** Justification S */
    @Excel(name = "Justification S")
    private String justificationS;

    /** RC */
    @Excel(name = "RC")
    private String rc;

    /** Countermeasure */
    @Excel(name = "Countermeasure")
    private String countermeasure;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDiscussionItem(String discussionItem) 
    {
        this.discussionItem = discussionItem;
    }

    public String getDiscussionItem() 
    {
        return discussionItem;
    }
    public void setHazard(String hazard) 
    {
        this.hazard = hazard;
    }

    public String getHazard() 
    {
        return hazard;
    }
    public void setCause(String cause) 
    {
        this.cause = cause;
    }

    public String getCause() 
    {
        return cause;
    }
    public void setConsequence(String consequence) 
    {
        this.consequence = consequence;
    }

    public String getConsequence() 
    {
        return consequence;
    }
    public void setP(String p) 
    {
        this.p = p;
    }

    public String getP() 
    {
        return p;
    }
    public void setJustificationP(String justificationP) 
    {
        this.justificationP = justificationP;
    }

    public String getJustificationP() 
    {
        return justificationP;
    }
    public void setS(String s) 
    {
        this.s = s;
    }

    public String getS() 
    {
        return s;
    }
    public void setJustificationS(String justificationS) 
    {
        this.justificationS = justificationS;
    }

    public String getJustificationS() 
    {
        return justificationS;
    }
    public void setRc(String rc) 
    {
        this.rc = rc;
    }

    public String getRc() 
    {
        return rc;
    }
    public void setCountermeasure(String countermeasure) 
    {
        this.countermeasure = countermeasure;
    }

    public String getCountermeasure() 
    {
        return countermeasure;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("discussionItem", getDiscussionItem())
            .append("hazard", getHazard())
            .append("cause", getCause())
            .append("consequence", getConsequence())
            .append("p", getP())
            .append("justificationP", getJustificationP())
            .append("s", getS())
            .append("justificationS", getJustificationS())
            .append("rc", getRc())
            .append("countermeasure", getCountermeasure())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
